/*
Author: Dave Bone 
FILE:    pager_2.lex
Date:    7 mar 2014	
Purpose: Test out David Pager lr(1) resolution page 61
*/
/@
@** David Pager  Grammar.\fbreak
David Pager\fbreak
The Lane Table Method Of Constructing LR(1) Parsers.\fbreak
@/
fsm	
(fsm-id "pager_2.lex",fsm-filename pager_2,fsm-namespace NS_pager_2
,fsm-class Cpager_2
,fsm-version	"1.0",fsm-date "7 mar 2014",fsm-debug "false"
,fsm-comments	"Test out David Pager LR(1) resolution page 61.")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"

rules{

Rs(){
  -> Rg eog 
}

Rg(){
  -> x Rw a
  -> x Rv t
  -> y Rw b
  -> y Rv t
  -> z Rw r
  -> z Rv b
  -> u Ru Rx a
  -> u Ru Ry r
}

Rw(){
  -> Ru Rx Rc
}

Rv(){
  -> Ru Ry d
}

Rx(){
  -> k t Ru Rx Rp
  -> k t
}

Ry(){
 -> k t Ru Ry u
 -> k t
}

Ru(){
 -> Ru k t
 -> s
}

Re(){
 -> a
 -> b
 -> c
 -> v
}

Rc(){
 -> c
 -> w
}

Rp(){
 -> z
}

}
